OpenShot Audio Library | OpenShotAudio: juce::universal_midi_packets::BytestreamMidiView Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::universal_midi_packets::BytestreamMidiView Struct Reference

`#include <juce_UMPConversion.h>`

## Public Member Functions
constexpr | BytestreamMidiView (Span< const std::byte > bytesIn, double timestampIn)
| BytestreamMidiView (const MidiMessage *msg)
| BytestreamMidiView (const MidiMessageMetadata msg)
MidiMessage | getMessage () const
bool | isSysEx () const

## Public Attributes
Span< const std::byte > | bytes
double | timestamp = 0.0

## Detailed Description

Represents a MIDI message that happened at a particular time.

Unlike MidiMessage, BytestreamMidiView is non-owning.

Definition at line 32 of file juce_UMPConversion.h.

## Constructor & Destructor Documentation

## ◆ BytestreamMidiView() [1/3]

juce::universal_midi_packets::BytestreamMidiView::BytestreamMidiView | ( | Span< const std::byte > | bytesIn,
|  | double | timestampIn )
| inlineconstexpr

Definition at line 34 of file juce_UMPConversion.h.

## ◆ BytestreamMidiView() [2/3]

juce::universal_midi_packets::BytestreamMidiView::BytestreamMidiView | ( | const MidiMessage * | msg | ) |
| inlineexplicit

Creates a view over the provided message.

Note that the argument is a pointer, not a reference, in order to avoid taking a reference to a temporary.

Definition at line 42 of file juce_UMPConversion.h.

## ◆ BytestreamMidiView() [3/3]

juce::universal_midi_packets::BytestreamMidiView::BytestreamMidiView | ( | const MidiMessageMetadata | msg | ) |
| inlineexplicit

Definition at line 47 of file juce_UMPConversion.h.

## Member Function Documentation

## ◆ getMessage()

MidiMessage juce::universal_midi_packets::BytestreamMidiView::getMessage | ( |  | ) | const
| inline

Definition at line 52 of file juce_UMPConversion.h.

## ◆ isSysEx()

bool juce::universal_midi_packets::BytestreamMidiView::isSysEx | ( |  | ) | const
| inline

Definition at line 57 of file juce_UMPConversion.h.

## Member Data Documentation

## ◆ bytes

Span<const std::byte> juce::universal_midi_packets::BytestreamMidiView::bytes

Definition at line 62 of file juce_UMPConversion.h.

## ◆ timestamp

double juce::universal_midi_packets::BytestreamMidiView::timestamp = 0.0

Definition at line 63 of file juce_UMPConversion.h.

The documentation for this struct was generated from the following file:

- juce_UMPConversion.h